Debian Bug report logs - #677655
3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Martin-Éric Racine <martin-eric.racine@iki.fi>

Date: Fri, 15 Jun 2012 18:42:11 UTC

Severity: normal

Fixed in versions 3.9-1, linux/3.9.6-1

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=13941

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Fri, 15 Jun 2012 18:42:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jun 2012 18:42:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 15 Jun 2012 21:41:19 +0300
Package: linux-2.6
Version: 3.4.1-1~experimental.1
Severity: normal

I'm not sure if it's too early to report on kernel 3.4 or not, but here it goes: dmesg keeps on reporting spurious kernel oppses involving inode destructions, as seen below, whenever running kernel 3.4-trunk.

-- Package-specific info:
** Version:
Linux version 3.4-trunk-486 (Debian 3.4.1-1~experimental.1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-7) ) #1 Wed Jun 6 14:24:16 UTC 2012

** Command line:
BOOT_IMAGE=/boot/vmlinuz-3.4-trunk-486 root=UUID=97b2628b-28a5-49f2-85f7-495728b3bef8 ro panic=15 pnpbios=off quiet splash

** Tainted: D (128)
 * Kernel has oopsed before.

** Kernel log:
[   29.054891] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[   29.054909] DR6: ffff0ff0 DR7: 00000400
[   29.054928] Process mount (pid: 697, ti=f3eee000 task=f4c69c00 task.ti=f3eee000)
[   29.054944] Stack:
[   29.054955]  f551f7d8 c10b6cdd f5624138 c10b5104 f5624138 f3eeff20 f3eeff20 c10b5149
[   29.054998]  f5624198 f5817c00 f5817c80 c10b5362 f5624318 f5624218 f5817c00 00000000
[   29.055040]  fffffff3 c10a9dd3 00000000 00000000 00000000 0000002e 00000027 f5812090
[   29.055081] Call Trace:
[   29.055107]  [<c10b6cdd>] ? destroy_inode+0x1a/0x3e
[   29.055132]  [<c10b5104>] ? dentry_kill+0x7f/0x8c
[   29.055157]  [<c10b5149>] ? shrink_dentry_list+0x38/0x62
[   29.055183]  [<c10b5362>] ? shrink_dcache_sb+0x40/0x51
[   29.055209]  [<c10a9dd3>] ? do_remount_sb+0x5b/0x11c
[   29.055236]  [<c10b9acc>] ? do_mount+0x1de/0x5ca
[   29.055265]  [<c113b3f0>] ? _copy_from_user+0x28/0x47
[   29.055293]  [<c108b524>] ? memdup_user+0x26/0x43
[   29.055318]  [<c10b9f21>] ? sys_mount+0x67/0x96
[   29.055349]  [<c128e6ec>] ? syscall_call+0x7/0xb
[   29.055364] Code: 85 c0 75 0f ba ee 00 00 00 b8 58 a4 33 c1 e8 87 6e f6 ff 8b 43 1c ff 88 c4 01 00 00 8b 43 10 8d 50 ff 83 fa fd 77 14 85 c0 74 10 <ff> 08 0f 94 c2 84 d2 74 07 31 d2 e8 ee be fa ff 8b 43 14 8d 50 
[   29.055607] EIP: [<c10b698e>] __destroy_inode+0x56/0x8d SS:ESP 0068:f3eefef0
[   29.055640] CR2: 00000000ffffb4ff
[   29.055657] ---[ end trace b7c0a963a9f117a3 ]---
[   32.438125] 8139too 0000:00:0d.0: eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
[   43.136054] eth0: no IPv6 routers present
[   44.435375] snd-malloc: invalid device type 0
[   44.436817] snd-malloc: invalid device type 0
[   44.551172] snd-malloc: invalid device type 0
[   44.555444] snd-malloc: invalid device type 0
[   44.557438] snd-malloc: invalid device type 0
[   44.558636] snd-malloc: invalid device type 0
[   44.560411] snd-malloc: invalid device type 0
[   44.565241] snd-malloc: invalid device type 0
[   44.566586] snd-malloc: invalid device type 0
[   44.567750] snd-malloc: invalid device type 0
[   44.570206] snd-malloc: invalid device type 0
[   44.574927] snd-malloc: invalid device type 0
[   44.576796] snd-malloc: invalid device type 0
[   44.578073] snd-malloc: invalid device type 0
[   44.579760] snd-malloc: invalid device type 0
[   44.584799] snd-malloc: invalid device type 0
[   44.586063] snd-malloc: invalid device type 0
[   44.587221] snd-malloc: invalid device type 0
[   44.590101] snd-malloc: invalid device type 0
[   44.595537] snd-malloc: invalid device type 0
[   44.717354] snd-malloc: invalid device type 0
[   44.718582] snd-malloc: invalid device type 0
[   44.720941] snd-malloc: invalid device type 0
[   44.725762] snd-malloc: invalid device type 0
[   49.744081] Bluetooth: Core ver 2.16
[   49.744207] NET: Registered protocol family 31
[   49.744223] Bluetooth: HCI device and connection manager initialized
[   49.745567] Bluetooth: HCI socket layer initialized
[   49.745590] Bluetooth: L2CAP socket layer initialized
[   49.745621] Bluetooth: SCO socket layer initialized
[   49.788365] Bluetooth: RFCOMM TTY layer initialized
[   49.788395] Bluetooth: RFCOMM socket layer initialized
[   49.788412] Bluetooth: RFCOMM ver 1.11
[   50.045149] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   50.045173] Bluetooth: BNEP filters: protocol multicast
[   64.436997] colord[2225]: segfault at 8 ip 08052674 sp bf8a6c00 error 4 in colord[8048000+20000]
[   67.658424] BUG: unable to handle kernel paging request at ffff00ff
[   67.658453] IP: [<c10b698e>] __destroy_inode+0x56/0x8d
[   67.658494] *pde = 01462067 *pte = 00000000 
[   67.658516] Oops: 0000 [#2] 
[   67.658532] Modules linked in: mperf cpufreq_conservative cpufreq_userspace cpufreq_powersave cpufreq_stats bnep rfcomm bluetooth rfkill snd_cs5535audio snd_ac97_codec snd_pcm snd_page_alloc ecb snd_seq scx200_acb i2c_core cryptd aes_i586 snd_seq_device snd_timer aes_generic snd geode_aes geode_rng rng_core cs5535_mfd soundcore ac97_bus processor evdev thermal_sys ac ext4 crc16 jbd2 mbcache msr usbhid hid sd_mod crc_t10dif ata_generic ohci_hcd pata_cs5536 libata ehci_hcd usbcore scsi_mod button 8139too 8139cp usb_common mii [last unloaded: scsi_wait_scan]
[   67.658775] 
[   67.658793] Pid: 1946, comm: gnome-session Tainted: G      D      3.4-trunk-486 #1 First International Computer, Inc.  ION603/ION603
[   67.658830] EIP: 0060:[<c10b698e>] EFLAGS: 00010286 CPU: 0
[   67.658853] EIP is at __destroy_inode+0x56/0x8d
[   67.658872] EAX: ffff00ff EBX: f57f0258 ECX: f5b75e30 EDX: ffff00fe
[   67.658893] ESI: f57eb098 EDI: f57f0258 EBP: f57ef9b8 ESP: f5b75e48
[   67.658914]  DS: 007b ES: 007b FS: 0000 GS: 00e0 SS: 0068
[   67.658934] CR0: 8005003b CR2: ffff00ff CR3: 34864000 CR4: 00000090
[   67.658955] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[   67.658973] DR6: ffff0ff0 DR7: 00000400
[   67.658993] Process gnome-session (pid: 1946, ti=f5b74000 task=f4c69810 task.ti=f5b74000)
[   67.659010] Stack:
[   67.659021]  f57f0258 c10b6cdd f57ef238 c10b5104 f57ef238 f5b75e88 f57effa8 c10b5149
[   67.659063]  f57ef298 f57eff38 00000015 c10b5195 00000746 00000000 f57effa8 f57eff38
[   67.659105]  f57f2f38 f57ef218 f5b75ec3 00000000 f5812810 f57eff38 c10ddc19 000008be
[   67.659147] Call Trace:
[   67.659174]  [<c10b6cdd>] ? destroy_inode+0x1a/0x3e
[   67.659198]  [<c10b5104>] ? dentry_kill+0x7f/0x8c
[   67.659224]  [<c10b5149>] ? shrink_dentry_list+0x38/0x62
[   67.659250]  [<c10b5195>] ? shrink_dcache_parent+0x22/0x15d
[   67.659282]  [<c10ddc19>] ? proc_flush_task+0x89/0x17f
[   67.659310]  [<c1021602>] ? nsecs_to_jiffies+0x5/0x6
[   67.659338]  [<c1038d56>] ? thread_group_times+0x33/0xa7
[   67.659371]  [<c101f146>] ? release_task+0x20/0x2b7
[   67.659399]  [<c101f89d>] ? wait_consider_task+0x4c0/0x7d4
[   67.659426]  [<c101fc64>] ? do_wait+0xb3/0x19a
[   67.659453]  [<c1020a7e>] ? sys_wait4+0x95/0xae
[   67.659481]  [<c101f0d6>] ? task_stopped_code+0x31/0x31
[   67.659508]  [<c1020aaa>] ? sys_waitpid+0x13/0x19
[   67.659539]  [<c128e6ec>] ? syscall_call+0x7/0xb
[   67.659555] Code: 85 c0 75 0f ba ee 00 00 00 b8 58 a4 33 c1 e8 87 6e f6 ff 8b 43 1c ff 88 c4 01 00 00 8b 43 10 8d 50 ff 83 fa fd 77 14 85 c0 74 10 <ff> 08 0f 94 c2 84 d2 74 07 31 d2 e8 ee be fa ff 8b 43 14 8d 50 
[   67.659799] EIP: [<c10b698e>] __destroy_inode+0x56/0x8d SS:ESP 0068:f5b75e48
[   67.659831] CR2: 00000000ffff00ff
[   67.659848] ---[ end trace b7c0a963a9f117a4 ]---
[  703.390964] diff=10000 >= 10000 buf_bytes.

** Model information
not available

** Loaded modules:
mperf
cpufreq_conservative
cpufreq_userspace
cpufreq_powersave
cpufreq_stats
bnep
rfcomm
bluetooth
rfkill
snd_cs5535audio
snd_ac97_codec
snd_pcm
snd_page_alloc
ecb
snd_seq
scx200_acb
i2c_core
cryptd
aes_i586
snd_seq_device
snd_timer
aes_generic
snd
geode_aes
geode_rng
rng_core
cs5535_mfd
soundcore
ac97_bus
processor
evdev
thermal_sys
ac
ext4
crc16
jbd2
mbcache
msr
usbhid
hid
sd_mod
crc_t10dif
ata_generic
ohci_hcd
pata_cs5536
libata
ehci_hcd
usbcore
scsi_mod
button
8139too
8139cp
usb_common
mii

** Network interface configuration:
auto lo
iface lo inet loopback

allow-auto eth0
iface eth0 inet dhcp


** Network status:
*** IP interfaces and addresses:
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 16436 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UNKNOWN qlen 1000
    link/ether 00:40:ca:9d:f0:50 brd ff:ff:ff:ff:ff:ff
    inet 172.16.1.1/24 brd 172.16.1.255 scope global eth0
    inet6 fe80::240:caff:fe9d:f050/64 scope link 
       valid_lft forever preferred_lft forever

*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:   42896     399    0    0    0     0          0         0    42896     399    0    0    0     0       0          0
  eth0: 82985448   63614    0    0    0     0          0         0   280470    1631    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    63672 total packets received
    1 with invalid addresses
    0 forwarded
    0 incoming packets discarded
    63671 incoming packets delivered
    1545 requests sent out
    14 outgoing packets dropped
Icmp:
    23 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 19
        echo requests: 4
    34 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
        destination unreachable: 30
        echo replies: 4
IcmpMsg:
        InType3: 19
        InType8: 4
        OutType0: 4
        OutType3: 30
Tcp:
    15 active connections openings
    4 passive connection openings
    0 failed connection attempts
    0 connection resets received
    3 connections established
    1672 segments received
    1649 segments send out
    1 segments retransmited
    0 bad segments received.
    1 resets sent
Udp:
    61361 packets received
    30 packets to unknown port received.
    797 packet receive errors
    226 packets sent
UdpLite:
TcpExt:
    1 invalid SYN cookies received
    8 TCP sockets finished time wait in fast timer
    70 delayed acks sent
    4 packets directly queued to recvmsg prequeue.
    506 packet headers predicted
    82 acknowledgments not containing data payload received
    844 predicted acknowledgments
    1 other TCP timeouts
    1 times receiver scheduled too late for direct processing
IpExt:
    InMcastPkts: 62165
    OutMcastPkts: 62
    InBcastPkts: 37
    OutBcastPkts: 14
    InOctets: 82123216
    OutOctets: 228671
    InMcastOctets: 81765216
    OutMcastOctets: 27673
    InBcastOctets: 2312
    OutBcastOctets: 656


** PCI devices:
00:01.0 Host bridge [0600]: Advanced Micro Devices [AMD] CS5536 [Geode companion] Host Bridge [1022:2080] (rev 31)
	Subsystem: FIRST INTERNATIONAL Computer Inc Device [1509:801b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 248, Cache Line Size: 32 bytes
	Region 0: I/O ports at ac1c [size=4]
	Region 1: I/O ports at 9e00 [size=8]

00:01.1 VGA compatible controller [0300]: Advanced Micro Devices [AMD] Geode LX Video [1022:2081] (prog-if 00 [VGA controller])
	Subsystem: FIRST INTERNATIONAL Computer Inc Device [1509:801b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=256M]
	Region 1: Memory at efff0000 (32-bit, non-prefetchable) [size=16K]
	Region 2: Memory at effec000 (32-bit, non-prefetchable) [size=16K]
	Region 3: Memory at effe8000 (32-bit, non-prefetchable) [size=16K]
	Region 4: Memory at efff8000 (32-bit, non-prefetchable) [size=16K]
	Expansion ROM at <unassigned> [disabled]

00:01.2 Entertainment encryption device [1010]: Advanced Micro Devices [AMD] Geode LX AES Security Block [1022:2082]
	Subsystem: FIRST INTERNATIONAL Computer Inc Device [1509:801b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at efff4000 (32-bit, non-prefetchable) [size=16K]
	Kernel driver in use: Geode LX AES

00:0d.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
	Subsystem: FIRST INTERNATIONAL Computer Inc Device [1509:801b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR+ INTx-
	Latency: 32 (8000ns min, 16000ns max)
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at fc00 [size=256]
	Region 1: Memory at effff000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: 8139too

00:0f.0 ISA bridge [0601]: Advanced Micro Devices [AMD] CS5536 [Geode companion] ISA [1022:2090] (rev 03)
	Subsystem: FIRST INTERNATIONAL Computer Inc Device [1509:801b]
	Control: I/O+ Mem- BusMaster- SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: I/O ports at 6000 [size=8]
	Region 1: I/O ports at 6100 [size=256]
	Region 2: I/O ports at 6200 [size=64]
	Region 3: I/O ports at 1000 [size=32]
	Region 4: I/O ports at 9d00 [size=128]
	Region 5: I/O ports at 9c00 [size=64]

00:0f.2 IDE interface [0101]: Advanced Micro Devices [AMD] CS5536 [Geode companion] IDE [1022:209a] (rev 01) (prog-if 80 [Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 248, Cache Line Size: 32 bytes
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at ff00 [size=16]
	Kernel driver in use: pata_cs5536

00:0f.3 Multimedia audio controller [0401]: Advanced Micro Devices [AMD] CS5536 [Geode companion] Audio [1022:2093] (rev 01)
	Subsystem: FIRST INTERNATIONAL Computer Inc Device [1509:801b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: I/O ports at fe00 [size=128]
	Kernel driver in use: snd_cs5535audio

00:0f.4 USB controller [0c03]: Advanced Micro Devices [AMD] CS5536 [Geode companion] OHC [1022:2094] (rev 02) (prog-if 10 [OHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin D routed to IRQ 11
	Region 0: Memory at efffe000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

00:0f.5 USB controller [0c03]: Advanced Micro Devices [AMD] CS5536 [Geode companion] EHC [1022:2095] (rev 02) (prog-if 20 [EHCI])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin D routed to IRQ 11
	Region 0: Memory at efffd000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd


** USB devices:
Bus 002 Device 002: ID 03f9:0100 KeyTronic Corp. KT-2001 Keyboard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub


-- System Information:
Debian Release: wheezy/sid
  APT prefers stable
  APT policy: (1000, 'stable'), (500, 'testing')
Architecture: i386 (i586)

Kernel: Linux 3.4-trunk-486
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.4-trunk-486 depends on:
ii  debconf [debconf-2.0]                   1.5.43
ii  initramfs-tools [linux-initramfs-tool]  0.106
ii  kmod                                    8-2
ii  linux-base                              3.5
ii  module-init-tools                       8-2

Versions of packages linux-image-3.4-trunk-486 recommends:
ii  firmware-linux-free  3

Versions of packages linux-image-3.4-trunk-486 suggests:
pn  grub-pc        1.99-22
pn  linux-doc-3.4  <none>

Versions of packages linux-image-3.4-trunk-486 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        0.35
pn  firmware-libertas       <none>
pn  firmware-linux          0.35
pn  firmware-linux-nonfree  0.35
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.4-trunk-486/postinst/missing-firmware-3.4-trunk-486:
  linux-image-3.4-trunk-486/prerm/removing-running-kernel-3.4-trunk-486: true
  linux-image-3.4-trunk-486/postinst/ignoring-ramdisk:
  linux-image-3.4-trunk-486/postinst/depmod-error-initrd-3.4-trunk-486: false




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Fri, 15 Jun 2012 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jun 2012 18:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 677655@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Martin-Éric Racine <martin-eric.racine@iki.fi>
Cc: 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 15 Jun 2012 13:52:43 -0500
Hi Martin-Éric,

Martin-Éric Racine wrote:

> I'm not sure if it's too early to report on kernel 3.4 or not, but
> here it goes:

Any package uploaded to the archive is open for bug reports. :)

[...]
> ** Kernel log:
> [   29.054891] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
> [   29.054909] DR6: ffff0ff0 DR7: 00000400
> [   29.054928] Process mount (pid: 697, ti=f3eee000 task=f4c69c00 task.ti=f3eee000)
> [   29.054944] Stack:
> [   29.054955]  f551f7d8 c10b6cdd f5624138 c10b5104 f5624138 f3eeff20 f3eeff20 c10b5149
> [   29.054998]  f5624198 f5817c00 f5817c80 c10b5362 f5624318 f5624218 f5817c00 00000000
> [   29.055040]  fffffff3 c10a9dd3 00000000 00000000 00000000 0000002e 00000027 f5812090
> [   29.055081] Call Trace:
> [   29.055107]  [<c10b6cdd>] ? destroy_inode+0x1a/0x3e
> [   29.055132]  [<c10b5104>] ? dentry_kill+0x7f/0x8c
> [   29.055157]  [<c10b5149>] ? shrink_dentry_list+0x38/0x62
> [   29.055183]  [<c10b5362>] ? shrink_dcache_sb+0x40/0x51
> [   29.055209]  [<c10a9dd3>] ? do_remount_sb+0x5b/0x11c
> [   29.055236]  [<c10b9acc>] ? do_mount+0x1de/0x5ca
> [   29.055265]  [<c113b3f0>] ? _copy_from_user+0x28/0x47
> [   29.055293]  [<c108b524>] ? memdup_user+0x26/0x43
> [   29.055318]  [<c10b9f21>] ? sys_mount+0x67/0x96
> [   29.055349]  [<c128e6ec>] ? syscall_call+0x7/0xb
> [   29.055364] Code: 85 c0 75 0f ba ee 00 00 00 b8 58 a4 33 c1 e8 87 6e f6 ff 8b 43 1c ff 88 c4 01 00 00 8b 43 10 8d 50 ff 83 fa fd 77 14 85 c0 74 10 <ff> 08 0f 94 c2 84 d2 74 07 31 d2 e8 ee be fa ff 8b 43 14 8d 50 
> [   29.055607] EIP: [<c10b698e>] __destroy_inode+0x56/0x8d SS:ESP 0068:f3eefef0
> [   29.055640] CR2: 00000000ffffb4ff
> [   29.055657] ---[ end trace b7c0a963a9f117a3 ]---

Could you send the full "oops" trace, starting at the first BUG line?
(It should include the text "Not tainted".)  Even better would be full
"dmesg" output from booting and reproducing the bug.

Thanks for catching it,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Fri, 15 Jun 2012 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jun 2012 19:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 677655@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 15 Jun 2012 22:37:29 +0300
[Message part 1 (text/plain, inline)]
Hi Jonathan,

2012/6/15 Jonathan Nieder <jrnieder@gmail.com>:
> Hi Martin-Éric,
>
> Martin-Éric Racine wrote:
>
>> I'm not sure if it's too early to report on kernel 3.4 or not, but
>> here it goes:
>
> Any package uploaded to the archive is open for bug reports. :)
>
> Could you send the full "oops" trace, starting at the first BUG line?
> (It should include the text "Not tainted".)  Even better would be full
> "dmesg" output from booting and reproducing the bug.

Here's the dmesg output at bootup, right after the first few oopses
have started to appear.

Cheers!
Martin-Éric
[dmesg-r_kernel_3.4-trunk-486.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 677655@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Martin-Éric Racine <martin-eric.racine@iki.fi>
Cc: 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 15 Jun 2012 19:40:50 -0500
Martin-Éric Racine wrote:

> Here's the dmesg output at bootup, right after the first few oopses
> have started to appear.

Thanks, nice and quick.

Let's see:

[...]
> <6>[   28.167997] EXT4-fs (sda1): re-mounted. Opts: (null)
> <6>[   28.721401] EXT4-fs (sda1): re-mounted. Opts: (null)
> <1>[   29.595342] BUG: unable to handle kernel paging request at ffffb4ff
> <1>[   29.595373] IP: [<c10b698e>] __destroy_inode+0x56/0x8d

Bad pointer.

[...]
> <4>[   29.595737] EIP is at __destroy_inode+0x56/0x8d
> <4>[   29.595756] EAX: ffffb4ff EBX: f54f1d38 ECX: f6871ed8 EDX: ffffb4fe
> <4>[   29.595777] ESI: f55475d8 EDI: f54f1d38 EBP: 00000000 ESP: f6871ef0
> <4>[   29.595798]  DS: 007b ES: 007b FS: 0000 GS: 00e0 SS: 0068
> <4>[   29.595818] CR0: 8005003b CR2: ffffb4ff CR3: 36877000 CR4: 00000090
> <4>[   29.595839] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
> <4>[   29.595856] DR6: ffff0ff0 DR7: 00000400
> <0>[   29.595876] Process mount (pid: 693, ti=f6870000 task=f37f1810 task.ti=f6870000)

Call chain: mount -> do_mount -> do_remount_sb -> shrink_dcache_db -> ...

[...]
> <0>[   29.596036] Code: 85 c0 75 0f ba ee 00 00 00 b8 58 a4 33 c1 e8 87 6e f6 ff 8b 43 1c ff 88 c4 01 00 00 8b 43 10 8d 50 ff 83 fa fd 77 14 85 c0 74 10 <ff> 08 0f 94 c2 84 d2 74 07 31 d2 e8 ee be fa ff 8b 43 14 8d 50 

Decoding, this is:

  1c:	8b 43 10             	mov    0x10(%ebx),%eax
  1f:	8d 50 ff             	lea    -0x1(%eax),%edx
  22:	83 fa fd             	cmp    $0xfffffffd,%edx
  25:	77 14                	ja     0x3b
  27:	85 c0                	test   %eax,%eax
  29:	74 10                	je     0x3b
  2b:*	ff 08                	decl   (%eax)     <-- trapping instruction
  2d:	0f 94 c2             	sete   %dl

which corresponds to

     77d:	8b 43 10             	mov    0x10(%ebx),%eax
     780:	8d 50 ff             	lea    -0x1(%eax),%edx
     783:	83 fa fd             	cmp    $0xfffffffd,%edx
     786:	77 05                	ja     78d <__destroy_inode+0x57>
		posix_acl_release(inode->i_acl);
     788:	e8 94 ff ff ff       	call   721 <posix_acl_release>

from fs/inode.c.  (Your call to posix_acl_release is inlined while mine
is not because your kernel was built with an older GCC and I'm too
lazy to downgrade.)  Here's posix_acl_release:

	static inline void
	posix_acl_release(struct posix_acl *acl)
	{
		if (acl && atomic_dec_and_test(&acl->a_refcount))
			kfree_rcu(acl, a_rcu);
	}

a_refcount is at offset 0 in struct posix_acl.  The dec_and_test
fails because acl is a bad pointer.

So inode is incompletely initialized, I guess.  Climbing the call
chain:

> <0>[   29.595892] Stack:
> <4>[   29.595903]  f54f1d38 c10b6cdd f5538898 c10b5104 f5538898 f6871f20 f6871f20 c10b5149
> <4>[   29.595946]  f55388f8 f5817c00 f5817c80 c10b5362 f55b8a78 f55389f8 f5817c00 00000000
> <4>[   29.595988]  fffffff3 c10a9dd3 00000000 00000000 00000000 0000002e 00000027 f5812090
> <0>[   29.596030] Call Trace:
> <4>[   29.596036]  [<c10b6cdd>] ? destroy_inode+0x1a/0x3e
> <4>[   29.596036]  [<c10b5104>] ? dentry_kill+0x7f/0x8c
> <4>[   29.596036]  [<c10b5149>] ? shrink_dentry_list+0x38/0x62
> <4>[   29.596036]  [<c10b5362>] ? shrink_dcache_sb+0x40/0x51
> <4>[   29.596036]  [<c10a9dd3>] ? do_remount_sb+0x5b/0x11c
> <4>[   29.596036]  [<c10b9acc>] ? do_mount+0x1de/0x5ca
> <4>[   29.596036]  [<c113b3f0>] ? _copy_from_user+0x28/0x47
> <4>[   29.596036]  [<c108b524>] ? memdup_user+0x26/0x43
> <4>[   29.596036]  [<c10b9f21>] ? sys_mount+0x67/0x96
> <4>[   29.596036]  [<c128e6ec>] ? syscall_call+0x7/0xb
> <0>[   29.596036] EIP: [<c10b698e>] __destroy_inode+0x56/0x8d SS:ESP 0068:f6871ef0

Probably:

	dentry_kill -> d_kill -> dentry_iput -> iput -> ...

Meaning dentry->d_inode has invalid ->i_acl.  Walking further:

	sys_mount -> do_mount -> do_remount -> do_remount_sb ->
		-> shrink_dcache_sb -> shrink_dentry_list ->
		-> try_prune_one_dentry -> dentry_kill

I got nothin'.  Could you try 3.5-rc2 or newer so we can pester
upstream?  Like this:

 0. prerequisites:

	apt-get install git build-essential

 1. grab the kernel history if you don't already have it:

	git clone \
	  git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git

 2. checkout latest, configure, build:

	cd linux
	git fetch --all
	git checkout origin/master
	cp /boot/config-$(uname -r) .config; # current configuration
	scripts/config --disable DEBUG_INFO
	make localmodconfig; # optional: minimize configuration
	make deb-pkg; # optionally with -j<num> for parallel build
	dpkg -i ../<name of package>; # as root
	reboot
	... test test test ...

 3. celebrate or complain

If it fails, please send a summary of symptoms to
linux-fsdevel@vger.kernel.org, cc-ing either me or this bug log so we
can track it.  Be sure to mention:

 - steps to reproduce, expected result, actual result, and how the
   difference indicates a bug (should be simple enough)
 - which kernel versions you've tested and result with each
 - full "dmesg" output from a broken kernel, as an attachment
 - any other weird observations
 - a pointer to http://bugs.debian.org/677655 for the backstory

If it succeeds, I think we should just celebrate and leave it at that. :)
Or if someone gets a moment to update experimental to 3.5-rc2 or
newer, that would be useful for other reasons.

Thanks for your patience and thanks again for testing --- it's very
nice to see this kind of thing caught early.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 00:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 00:51:06 GMT) Full text and rfc822 format available.

Message #25 received at 677655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: martin-eric.racine@iki.fi, 677655@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#677655: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sat, 16 Jun 2012 01:48:43 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-06-15 at 22:37 +0300, Martin-Éric Racine wrote:
> Hi Jonathan,
> 
> 2012/6/15 Jonathan Nieder <jrnieder@gmail.com>:
> > Hi Martin-Éric,
> >
> > Martin-Éric Racine wrote:
> >
> >> I'm not sure if it's too early to report on kernel 3.4 or not, but
> >> here it goes:
> >
> > Any package uploaded to the archive is open for bug reports. :)
> >
> > Could you send the full "oops" trace, starting at the first BUG line?
> > (It should include the text "Not tainted".)  Even better would be full
> > "dmesg" output from booting and reproducing the bug.
> 
> Here's the dmesg output at bootup, right after the first few oopses
> have started to appear.

The kernel is trying to free an inode and using an ACL pointer that
should presumably be 0xffffffff (special value for ACL not in memory)
but is instead 0xffffb4ff.  This memory corruption could be a software
bug (e.g. use after free) or a hardware fault.

What was the last working kernel version on this system?

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 01:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 677655@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: martin-eric.racine@iki.fi, 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 15 Jun 2012 20:00:42 -0500
Ben Hutchings wrote:
> On Fri, 2012-06-15 at 22:37 +0300, Martin-Éric Racine wrote:

>> Here's the dmesg output at bootup, right after the first few oopses
>> have started to appear.
>
> The kernel is trying to free an inode and using an ACL pointer that
> should presumably be 0xffffffff (special value for ACL not in memory)
> but is instead 0xffffb4ff.  This memory corruption could be a software
> bug (e.g. use after free) or a hardware fault.
>
> What was the last working kernel version on this system?

By the way, searching for that particular address yields the following
interesting result.  (Nothing else recent, alas.)

  https://launchpad.net/bugs/848864

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 02:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 677655@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: martin-eric.racine@iki.fi, 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 15 Jun 2012 21:23:18 -0500
Jonathan Nieder wrote:

> By the way, searching for that particular address yields the following
> interesting result.  (Nothing else recent, alas.)

Better link:

  https://bugzilla.kernel.org/show_bug.cgi?id=13941




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=13941'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 02:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 04:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 04:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 677655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: martin-eric.racine@iki.fi
Cc: 677655@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#677655: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sat, 16 Jun 2012 05:38:54 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-06-15 at 21:23 -0500, Jonathan Nieder wrote:
> Jonathan Nieder wrote:
> 
> > By the way, searching for that particular address yields the following
> > interesting result.  (Nothing else recent, alas.)
> 
> Better link:
> 
>   https://bugzilla.kernel.org/show_bug.cgi?id=13941

Oohkay, so you've seen this same bug across a wide range of kernel
versions (and presumably compiler versions).  It would have been helpful
to mention this instead of letting Jonathan work it out.

It does seem unlikely that this would be a hardware fault, since the
source line and value involved are the same while memory layout must
have changed a lot over those 13 upstream stable releases.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 08:39:04 GMT) Full text and rfc822 format available.

Message #47 received at 677655@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sat, 16 Jun 2012 11:37:46 +0300
2012/6/16 Jonathan Nieder <jrnieder@gmail.com>:
> Jonathan Nieder wrote:
>
>> By the way, searching for that particular address yields the following
>> interesting result.  (Nothing else recent, alas.)
>
> Better link:
>
>  https://bugzilla.kernel.org/show_bug.cgi?id=13941

Yup, this issue returns every now and then on the exact same host
(which was recently migrated from Ubuntu to Debian, now that Ubuntu
stopped supporting anything older than non-PAE 686 hardware), whenever
someone touches the inode code again. The nice thing, this time, is
that it has become non-fatal; the kernel simply reports the oops and
continues operating.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 08:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 08:45:10 GMT) Full text and rfc822 format available.

Message #52 received at 677655@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 677655@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#677655: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sat, 16 Jun 2012 11:39:26 +0300
2012/6/16 Ben Hutchings <ben@decadent.org.uk>:
> On Fri, 2012-06-15 at 22:37 +0300, Martin-Éric Racine wrote:
>> Hi Jonathan,
>>
>> 2012/6/15 Jonathan Nieder <jrnieder@gmail.com>:
>> > Hi Martin-Éric,
>> >
>> > Martin-Éric Racine wrote:
>> >
>> >> I'm not sure if it's too early to report on kernel 3.4 or not, but
>> >> here it goes:
>> >
>> > Any package uploaded to the archive is open for bug reports. :)
>> >
>> > Could you send the full "oops" trace, starting at the first BUG line?
>> > (It should include the text "Not tainted".)  Even better would be full
>> > "dmesg" output from booting and reproducing the bug.
>>
>> Here's the dmesg output at bootup, right after the first few oopses
>> have started to appear.
>
> The kernel is trying to free an inode and using an ACL pointer that
> should presumably be 0xffffffff (special value for ACL not in memory)
> but is instead 0xffffb4ff.  This memory corruption could be a software
> bug (e.g. use after free) or a hardware fault.
>
> What was the last working kernel version on this system?

3.2.0-19 (or whatever 486 kernel is in Testing) is what's normally
running on this one.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Sat, 16 Jun 2012 08:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 08:51:09 GMT) Full text and rfc822 format available.

Message #57 received at 677655@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Martin-Éric Racine <martin-eric.racine@iki.fi>
Cc: 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sat, 16 Jun 2012 03:48:45 -0500
Martin-Éric Racine wrote:

> Yup, this issue returns every now and then on the exact same host
> (which was recently migrated from Ubuntu to Debian, now that Ubuntu
> stopped supporting anything older than non-PAE 686 hardware), whenever
> someone touches the inode code again. The nice thing, this time, is
> that it has become non-fatal; the kernel simply reports the oops and
> continues operating.

Thanks for the background.  That would have indeed been useful context
in the original report (though perhaps it had been long enough since
the last appearance that you had forgotten).

If I have any more questions, I'll ask them upstream.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package linux-2.6. (Fri, 12 Jul 2013 07:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Jul 2013 07:54:09 GMT) Full text and rfc822 format available.

Message #62 received at 677655@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: martin-eric.racine@iki.fi
Cc: 677655@bugs.debian.org, control@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 12 Jul 2013 09:46:54 +0200
reassign 677655 src:linux
thanks

On Sat, Jun 16, 2012 at 03:48:45AM -0500, Jonathan Nieder wrote:
> Martin-Éric Racine wrote:
> 
> > Yup, this issue returns every now and then on the exact same host
> > (which was recently migrated from Ubuntu to Debian, now that Ubuntu
> > stopped supporting anything older than non-PAE 686 hardware), whenever
> > someone touches the inode code again. The nice thing, this time, is
> > that it has become non-fatal; the kernel simply reports the oops and
> > continues operating.
> 
> Thanks for the background.  That would have indeed been useful context
> in the original report (though perhaps it had been long enough since
> the last appearance that you had forgotten).
> 
> If I have any more questions, I'll ask them upstream.

Does this still occur with current kernels?

Cheers,
        Moritz



Bug reassigned from package 'linux-2.6' to 'src:linux'. Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Fri, 12 Jul 2013 07:54:12 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.4.1-1~experimental.1. Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Fri, 12 Jul 2013 07:54:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package src:linux. (Fri, 12 Jul 2013 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin-eric.racine@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 12 Jul 2013 08:21:04 GMT) Full text and rfc822 format available.

Message #71 received at 677655@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <martin-eric.racine@iki.fi>
Cc: 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Fri, 12 Jul 2013 11:19:56 +0300
[Message part 1 (text/plain, inline)]
It still does with 3.2 in stable, but not with 3.9 in testing.

Martin-Éric


2013/7/12 Moritz Muehlenhoff <jmm@inutil.org>

> reassign 677655 src:linux
> thanks
>
> On Sat, Jun 16, 2012 at 03:48:45AM -0500, Jonathan Nieder wrote:
> > Martin-Éric Racine wrote:
> >
> > > Yup, this issue returns every now and then on the exact same host
> > > (which was recently migrated from Ubuntu to Debian, now that Ubuntu
> > > stopped supporting anything older than non-PAE 686 hardware), whenever
> > > someone touches the inode code again. The nice thing, this time, is
> > > that it has become non-fatal; the kernel simply reports the oops and
> > > continues operating.
> >
> > Thanks for the background.  That would have indeed been useful context
> > in the original report (though perhaps it had been long enough since
> > the last appearance that you had forgotten).
> >
> > If I have any more questions, I'll ask them upstream.
>
> Does this still occur with current kernels?
>
> Cheers,
>         Moritz
>
[Message part 2 (text/html, inline)]

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sun, 14 Jul 2013 16:36:08 GMT) Full text and rfc822 format available.

Notification sent to Martin-Éric Racine <martin-eric.racine@iki.fi>:
Bug acknowledged by developer. (Sun, 14 Jul 2013 16:36:08 GMT) Full text and rfc822 format available.

Message #76 received at 677655-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: Martin-Éric Racine <martin-eric.racine@iki.fi>
Cc: 677655-done@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sun, 14 Jul 2013 18:32:05 +0200
Version: 3.9-1

On Fri, Jul 12, 2013 at 11:19:56AM +0300, Martin-Éric Racine wrote:
> It still does with 3.2 in stable, but not with 3.9 in testing.

Closing with that version, then.

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677655; Package src:linux. (Sun, 14 Jul 2013 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Touko Korpela <touko.korpela@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Jul 2013 18:30:05 GMT) Full text and rfc822 format available.

Message #81 received at 677655@bugs.debian.org (full text, mbox):

From: Touko Korpela <touko.korpela@iki.fi>
To: Moritz Mühlenhoff <jmm@inutil.org>
Cc: 677655@bugs.debian.org
Subject: Re: 3.4-trunk-486: kernel oops: EIP is at __destroy_inode+0x56/0x8d
Date: Sun, 14 Jul 2013 21:19:54 +0300
On Sun, Jul 14, 2013 at 06:32:05PM +0200, Moritz Mühlenhoff wrote:
> Version: 3.9-1
> 
> On Fri, Jul 12, 2013 at 11:19:56AM +0300, Martin-Éric Racine wrote:
> > It still does with 3.2 in stable, but not with 3.9 in testing.
> 
> Closing with that version, then.

No such version (3.9-1) was uploaded, 3.9.4-1 was first 3.9 upload.



Marked as fixed in versions linux/3.9.4-1. Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Mon, 15 Jul 2013 22:03:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions linux/3.9.6-1. Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Mon, 15 Jul 2013 22:18:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions linux/3.9.4-1. Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Mon, 15 Jul 2013 22:18:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Oct 2013 07:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:11:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.